Package org.apache.felix.bundleplugin

# Class ManifestWriter

java.lang.Object
org.apache.felix.bundleplugin.ManifestWriter

public class ManifestWriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`ManifestWriter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`outputManifest(Manifest manifest, OutputStream out, boolean nice)`
Main function to output a manifest properly in UTF-8.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManifestWriter

public ManifestWriter()

## Method Details

### outputManifest

public static void outputManifest(Manifest manifest, OutputStream out, boolean nice) throws IOException
Main function to output a manifest properly in UTF-8.

Parameters:
  `manifest` - The manifest to output
  `out` - The output stream
Throws:
  `IOException` - when something fails